<?php
/*
Plugin Name: Front-End Help or Feedback  Widget
Plugin URI: http://wisdmlabs.com
Description: This plugin Easily enables your visitors to send you a quick query, request for help, provide feedback or raise a support request, instantly with no hassles.
Version: 1.0.0
Author: WisdmLabs
Author URI: http://wisdmlabs.com
License: GPL2
*/

if(class_exists("WP_Widget")){
class wdm_get_help extends WP_Widget
{
  function wdm_get_help()
  {
    $widget_ops = array('classname' => 'wdm_get_help', 'description' => 'Allows to send email to site administrator' );
    $this->WP_Widget('wdm_get_help', 'Front-End Help or Feedback', $widget_ops);
  }
 
  function form($instance)
  {
    $instance = wp_parse_args( (array) $instance, array( 'title' => 'Have Any Query? Get Help Here', 'email' => get_bloginfo('admin_email') ) );
    
    $title = $instance['title'];
    if(empty($title))
    $title = 'Have Any Query? Get Help Here';
    
    $email = $instance['email'];
    if(empty($email))
    $email = get_bloginfo('admin_email');
?>
  <p><label for="<?php echo $this->get_field_id('title'); ?>">Title: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
  <p><label for="<?php echo $this->get_field_id('email'); ?>">Email: <input class="widefat" id="<?php echo $this->get_field_id('email'); ?>" name="<?php echo $this->get_field_name('email'); ?>" type="text" value="<?php echo esc_attr($email); ?>" /></label></p>
<?php
  }
 
  function update($new_instance, $old_instance)
  {
    $instance = $old_instance;
    $instance['title'] = $new_instance['title'];
    $instance['email'] = $new_instance['email'];
    return $instance;
  }
 
  function widget($args, $instance)
  {
    extract($args, EXTR_SKIP);
 
    echo $before_widget;
    $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
    
    if (!empty($title))
      echo $before_title . $title . $after_title;
 
    // Help Form
    ?>
    <div id="get_help">
          <form name="wdm_give_help" id="wdm_give_help" method="POST">
          <label for="help_name">Name</label><input type="text" id="help_name" name="help_name" value="" class="required" />
          <label for="help_email">Email ID</label><input type="text" id="help_email" name="help_email" value="" class="required email" />
          <label for="help_text">Query/Feedback</label><textarea name="help_text" name="help_text" class="required" ></textarea>
          <br />
          <input type="submit" name="submit_help" id="submit_help" value="Submit" />
          </form>
        </div>
    
    <script type="text/javascript">
  jQuery(document).ready(function(){
			jQuery("#wdm_give_help").validate();
  });
  </script>
    
    <?php
    if (!empty($_POST["help_name"]) && !empty($_POST["help_email"]) && !empty($_POST["help_text"]))
    {
     //Send meassge
    $v_name = $_POST["help_name"];
    $v_email = $_POST["help_email"];
    $v_msg = $_POST["help_text"];
    $to = $instance['email'];
    
    $subject = 'Support query or Feedback from a visitor';
    
    $message =  'Hi, <br /> You have a new request from <a href="'.get_bloginfo('siteurl').'">'.get_bloginfo( "name" ).'</a><br />';
    $message .= 'Name: '.$v_name.'<br />';
    $message .= 'Email ID: '.$v_email.'<br />';
    $message .= 'Message: <br />'.$v_msg.'<br />';
    $message .= '<a href="mailto:'.$v_email.'" target="_blank" >Reply</a>';

    add_filter('wp_mail_content_type',array('wdm_get_help','set_content_type'));
    
    if(wp_mail( $to, $subject, $message, '', '' ))
    echo "<script type='text/javascript'>alert('Message sent successfully. We will get back to you soon.');</script>";
    else
    echo "<script type='text/javascript'>alert('Message sending failed.');</script>";
    }
    
    echo $after_widget;
  }
  
  function set_content_type($content_type)
 {
   return 'text/html';
 }

}
add_action( 'widgets_init', create_function('', 'return register_widget("wdm_get_help");') );

add_action('wp_enqueue_scripts', 'do_validation_script');

function do_validation_script()
{
wp_enqueue_script('jquery');
wp_register_script( 'form_validation_script', plugins_url('/jquery.validate.js', __FILE__));
wp_enqueue_script( 'form_validation_script' );
}

}
?>